Jupiter - Zadanie #1630
Dodanie przestonki, podczas wykonywania akcji przez backend
2017-04-12 08:40 - Michat Komar

Status: Rozwigzany Start date: 2017-04-12
Priority: Normalny Due date:

Assignee: Michat Komar % Done: 100%

Category: ui Estimated time: 0.00 hour

Target version: 0.3

Developer: Michat Komar Tester: Monika Maksymiuk
Description

Nalezy doda¢ informacje o tym, ze request jest przetwarzany przez backend wraz z przestonka uniemozliwiajgcg wykonywanie akciji
przez uzytkownika. Powinno to dziataé tak jak: https:/github.com/devyumao/angular2-busy. Niestety-biblietekatanie-obstuguje-ACT
{ehyba;ze-cos-sie-w-miedzyezasiezmienito} Juz obstuguje - przyktadowe zastosowanie edit-document.ts - save()

Associated revisions

Revision 78a88d2c - 2017-07-10 14:44 - Monika Maksymiuk

refs #1630. Przeslonka przy wysylaniu formularza edycji

Revision 3d5¢c7bc2 - 2017-08-29 09:24 - Michat Komar

refs #1630: Dodanie przestonkig w document-details

Revision 4afaf893 - 2017-08-29 12:58 - Michat Komar

refs #1630: Dodanie przestonki w edit-document

Revision 8a0cf308 - 2017-08-29 13:21 - Michat Komar

refs #1630: Dodanie przestonki w edit-document

Revision a2¢5d08e - 2017-08-31 09:36 - Michat Komar

refs #1630: Poprawka przestonki na dodawanie nowych elementéw

Revision 3f1de5a7 - 2017-09-05 14:10 - Michat Komar

refs #1630: Dodanie przestonki busy na procesach publikaciji

Dodatem tez 2 klasy lazy-promise i lazy-event, ktére pozwalajg na
asynchroniczng obstuge promiséw.

Revision 154dcice - 2017-09-05 15:00 - Michat Komar
https://github.com/devyumao/angular2-busy

refs #1630: Dodanie przestonki busy na numbering

Revision bbafa56f - 2017-09-06 07:55 - Michat Komar

refs #1630: Poprawienie widocznosci busy

Revision 41563897 - 2017-09-06 08:34 - Michat Komar

refs #1630: Busy na journal-numbering

Revision 5123bd88 - 2017-09-06 10:25 - Michat Komar

refs #1630: Dodanie kolejnego busy. Poprawienie styli (scroll)

Revision 7¢3429bf - 2017-09-06 11:41 - Michat Komar

refs #1630: Drobne poprawki widokéw + naprawienie NPE w sesjach

Revision f88f9b6d - 2017-09-08 07:23 - Michat Komar

refs #1630: Dodanie przestonki na procesach. Dodanie komponentu z przest

Revision d8882b9d - 2017-09-11 14:46 - Michat Komar

refs #1630: Dodanie kolejnych przestonek. Obstuga btedéw

Revision 69¢212a8 - 2017-09-12 12:54 - Michat Komar

refs #1630: Lokalizacja przestonki

Revision 74691637 - 2017-09-12 12:54 - Michat Komar

refs #1630: Lokalizacja przestonki

Revision 00931bbf - 2017-09-12 13:29 - Michat Komar

refs #1630: Zwigkszenie pamieci dla nodejs

Revision 73e8adf5 - 2017-09-15 11:20 - Michat Komar

refs #1630: Poprawienie przestonki
Revision 08d88acc - 2017-09-15 11:26 - Michat Komar

refs #1630: Poprawienie przestonki

Revision 82c48d3c - 2017-09-15 12:34 - Michat Komar

refs #1630: Poprawienie wyswietlania inputéw w filtrach

Revision e6a0d7a2 - 2017-09-15 13:57 - Michat Komar

refs #1630: Poprawienie wyswietlania inputéw w filtrach

Revision dbc470a2 - 2017-09-21 08:39 - Michat Komar

refs #1630: Poprawienie busy-component

Revision 42d31754 - 2017-09-21 12:19 - Michat Komar

refs #1630: Podbicie wersji 18n-translate

Revision 0554bee1 - 2017-09-21 12:29 - Michat Komar

refs #1630: Podbicie wersji angulara

Revision bd7146f2 - 2017-09-21 15:08 - Michat Komar

refs #1630: Poprawki przy dodawaniu proceséw publikacji

Revision ffeb0a98 - 2017-09-21 15:26 - Michat Komar

refs #1630: Poprawki przy dodawaniu proceséw publikacji

Revision a98b8566 - 2017-09-25 14:55 - Michat Komar

refs #1630: Poprawienie busy podczas dodawania nowego dokumentu

History

#1 - 2017-06-01 09:08 - Michat Komar
- Description updated

#2 - 2017-07-31 08:43 - Michat Komar

Przestonke nalezy dodac:

- przy wejsciu do edycji dokumentu

2024-05-19

3/4



- przy przechodzeniu pomiedzy tabami w dokumencie

#3 - 2017-08-31 08:53 - Michat Komar

- Assignee changed from Monika Maksymiuk to Michat Komar

#4 - 2017-09-12 09:23 - Michat Komar

- Status changed from Nowy to Testowanie

- Assignee changed from Michat Komar to Monika Maksymiuk
- % Done changed from 0 to 100

- Developer Michat Komar added

- Tester Monika Maksymiuk added

Poprawione we wszystkich miejscach, ktére zauwazytem.
Jezeli sa jeszcze miejsca, gdzie nalezy pokazaé przestonke, zeby zablokowa¢ akcje uzytkownika. Np. zeby nie mogt dwukrotnie wykonac tej samej
akcji, ktéra modyfikuje dane

#5 - 2017-11-07 10:44 - Monika Maksymiuk
- Status changed from Testowanie to Rozwigzany
- Assignee changed from Monika Maksymiuk to Michat Komar
